Loading...
Searching...
No Matches
mdds::mtv::soa::detail::iterator_updater< Traits >::grouped_iterator_type Struct Reference

`#include <iterator.hpp>`

## Public Member Functions

void | inc ()
void | dec ()
bool | operator== (const grouped_iterator_type &other) const
bool | operator!= (const grouped_iterator_type &other) const
| grouped_iterator_type (const positions_iterator_type &itr_pos, const sizes_iterator_type &itr_size, const element_blocks_iterator_type &itr_elem_blocks)

## Public Attributes

positions_iterator_type | position_iterator
sizes_iterator_type | size_iterator
element_blocks_iterator_type | element_block_iterator

## Detailed Description

template<typename Traits>
struct mdds::mtv::soa::detail::iterator_updater< Traits >::grouped_iterator_type

This struct groups together the iterators for the three array types for easy synchronized traversal of the arrays.